%define compatlib 0

Summary: A version of the MIT Athena widget set for X.
Name: Xaw3d
Version: 1.5
Release: 24
Group: System Environment/Libraries
Source: ftp://ftp.x.org/contrib/widgets/Xaw3d/R6.3/Xaw3d-%{version}.tar.gz
Source1: ftp://ftp.x.org/contrib/widgets/Xaw3d/R6/Xaw3d-1.3.tar.gz
Source2: Imakefile
Url: ftp://ftp.x.org/contrib/widgets/Xaw3d/
Patch: Xaw3d-1.5-xorg-imake.patch
Patch1: Xaw3d-1.3-glibc.patch
Patch2: Xaw3d-1.3-X11R6.3.patch
Patch3: xaw3d.patch
Patch5: Xaw3d-ia64.patch
Patch6: Xaw3d-1.5-i18n.patch
Patch7: Xaw3d-1.5-scrollbar2.patch
Patch8: Xaw3d-1.5-scrollbar1.patch
License: MIT
Prefix: /usr
Prereq: fileutils
Prereq: /sbin/ldconfig
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: xorg-x11-devel

%description
Xaw3d is an enhanced version of the MIT Athena Widget set for
the X Window System.  Xaw3d adds a three-dimensional look to applications
with minimal or no source code changes.

You should install Xaw3d if you are using applications which incorporate
the MIT Athena widget set and you'd like to incorporate a 3D look into
those applications.

%package devel
Summary: Header files and static libraries for development using Xaw3d.
Group: Development/Libraries
Requires: %{name} = %{version}
Requires: xorg-x11-devel

%description devel
Xaw3d is an enhanced version of the MIT Athena widget set for
the X Window System.  Xaw3d adds a three-dimensional look to those
applications with minimal or no source code changes. Xaw3d-devel includes
the header files and static libraries for developing programs that take
full advantage of Xaw3d's features.

You should install Xaw3d-devel if you are going to develop applications
using the Xaw3d widget set.  You'll also need to install the Xaw3d
package.

%prep
%setup -q -c

# Xaw3d7
pushd xc/lib/Xaw3d
%patch -p0
ln -s .. X11
%patch1 -p4
%patch3 -p4
%patch5 -p4
%patch6 -p4
popd

%if %{compatlib}
# Xaw3d6, compat libs
mkdir old
pushd old
tar xzf %{SOURCE1}
popd
mv old/xc/lib/Xaw3d xc/lib/Xaw3d6
rm -rf old
pushd xc/lib/Xaw3d6
ln -s .. X11
%patch1 -p4
%patch2 -p3
%patch3 -p4
%patch6 -p4
%patch7 -p4
popd
%endif

%patch8 -p1

%build
# Xaw3d7
pushd xc/lib/Xaw3d
export PATH=/usr/X11R6/bin:$PATH
xmkmf
make CDEBUGFLAGS="${RPM_OPT_FLAGS} -DARROW_SCROLLBAR"
popd

%if %{compatlib}
# Xaw3d6, compat libs
cp %{SOURCE2} xc/lib/Xaw3d6
pushd xc/lib/Xaw3d6
xmkmf
make
popd
%endif

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT -C xc/lib/Xaw3d

%if %{compatlib}
cp -aR xc/lib/Xaw3d6/libXaw*so.* $RPM_BUILD_ROOT/usr/X11R6/%{_lib}/
%endif

ln -s X11/Xaw3d $RPM_BUILD_ROOT/usr/X11R6/include

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post devel
if [ ! -d /usr/X11R6/include/Xaw3d ] ; then
  rm -f /usr/X11R6/include/Xaw3d
  ln -sf X11/Xaw3d /usr/X11R6/include
fi

%pre devel
if [ -L /usr/X11R6/include/X11/Xaw3d ] ; then
  rm -f /usr/X11R6/include/X11/Xaw3d
fi

%triggerpostun -- Xaw3d-devel < 1.5-5
if [ -d /usr/X11R6/include/Xaw3d ] ; then
  rm -rf /usr/X11R6/include/Xaw3d
  ln -sf X11/Xaw3d /usr/X11R6/include
fi

%files
%defattr(-,root,root)
/usr/X11R6/%{_lib}/*.so.*

%files devel
%defattr(-,root,root)
/usr/X11R6/%{_lib}/*.so
/usr/X11R6/include/X11/Xaw3d
%ghost /usr/X11R6/include/Xaw3d

%changelog
* Tue Nov 23 2004 Than Ngo <than@redhat.com> 1.5-24
- add patch to fix build problem with xorg-x11, #140475

* Mon Jul 26 2004 Than Ngo <than@redhat.com> 1.5-23
- added requires on XFree86-devel

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Nov 26 2003 Than Ngo <than@redhat.com> 1.5-20
- added missing Buildprereq: XFree86-devel (bug #110601, #109692, #110735)
- fixed arguments in scrollbar (bug #110766)

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Nov  7 2002 han Ngo <than@redhat.com> 1.5-17
- fix some building problems

* Thu Sep  5 2002 Preston Brown <pbrown@redhat.com> 1.5-16
- -DARROW_SCROLLBAR for rms

* Thu Aug  8 2002 Than Ngo <than@redhat.com> 1.5-15
- Added patch file to fix i18n issue, ynakai@redhat.com

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Feb 26 2002 Than Ngo <than@redhat.com> 1.5-12
- rebuild in new enviroment

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed Feb 28 2001 Than Ngo <than@redhat.com>
- add requires Xaw3d = %%{version}
- add prereq /sbin/ldconfig

* Tue Oct 10 2000 Than Ngo <than@redhat.com>
- fix link which causes faulty update (Bug #17895)

* Mon Jul 24 2000 Bill Nottingham <notting@redhat.com>
- ia64 tweaks

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 10 2000 Bernhard Rosenkraenzer <bero@redhat.de>
- Restore Xaw3d 1.5 - the addition of the backward compatibility library
  killed the current one.
- get rid of the CDEBUGFLAGS="" hack, the current gcc fixes it

* Mon Jul 03 2000 Than Ngo <than@redhat.de>
- fix Imakefile to static Xawd3d

* Sat Jun 17 2000 Than Ngo <than@redhat.de>
- add backward compatibility libXaw3d.so.6 (Bug# 12261)

* Mon May 15 2000 Bill Nottingham <notting@redhat.com>
- fix unaligned traps on ia64

* Mon May  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.5

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 21)

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Fri Nov 06 1998 Preston Brown <pbrown@redhat.com>
- added security/update patch from debian (the X11R6.3 patch). Thanks guys. :)

* Wed Oct 14 1998 Cristian Gafton <gafton@redhat.com>
- handle the symlink with triggers instead of getting rid of it

* Mon Oct  5 1998 Jeff Johnson <jbj@redhat.com>
- remove backward compatible symlink.

* Wed May 06 1998 Cristian Gafton <gafton@redhat.com>
- fixed the bad symlink
- BuildRoot

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Nov 04 1997 Erik Troan <ewt@redhat.com>
- don't lave an improper return code from %pre

* Mon Nov 03 1997 Cristian Gafton <gafton@redhat.com>
- take care of the old location of the Xaw3d includes in case that one exist
- updated Prereq: field

* Mon Oct 26 1997 Cristian Gafton <gafton@redhat.com
- fixed the -devel package for the right include files path

* Mon Oct 13 1997 Donnie Barnes <djb@redhat.com>
- minor spec file cleanups

* Wed Oct 01 1997 Erik Troan <ewt@redhat.com>
- i18n widec.h patch needs to be applied on all systems

* Sun Sep 14 1997 Erik Troan <ewt@redhat.com>
- changed axp check to alpha

* Mon Jun 16 1997 Erik Troan <ewt@redhat.com>
- built against glibc
